https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/properties/{propertyKey}Sets the value of the project property. You can use project properties to store custom data against the project. The value of the request body must be a valid, non-empty JSON blob. The maximum length is 32768 characters. This operation can be accessed anonymously. **Permissions required:** *Administer Jira* global permission or *Administer Projects* project permission for the project in which the property is created.
The project ID or project key (case sensitive).
The key of the project property. The maximum length is 255 characters.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/properties/{propertyKey}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/properties/{propertyKey}Sets the value of the project property. You can use project properties to store custom data against the project. The value of the request body must be a valid, non-empty JSON blob. The maximum length is 32768 characters. This operation can be accessed anonymously. **Permissions required:** *Administer Jira* global permission or *Administer Projects* project permission for the project in which the property is created.
The project ID or project key (case sensitive).
The key of the project property. The maximum length is 255 characters.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/properties/{propertyKey}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}